Package pywbem :: Module cim_types :: Class Sint16 |
[frames] | no frames]

# Class Sint16

source code

    object --+
             |
       CIMType --+
                 |
    object --+   |
             |   |
          long --+
                 |
            CIMInt --+
                     |
                    Sint16

A value of CIM type sint16.

Instance Methods
Inherited from `long`: `__abs__`, `__add__`, `__and__`, `__cmp__`, `__coerce__`, `__div__`, `__divmod__`, `__float__`, `__floordiv__`, `__format__`, `__getattribute__`, `__getnewargs__`, `__hash__`, `__hex__`, `__index__`, `__int__`, `__invert__`, `__long__`, `__lshift__`, `__mod__`, `__mul__`, `__neg__`, `__new__`, `__nonzero__`, `__oct__`, `__or__`, `__pos__`, `__pow__`, `__radd__`, `__rand__`, `__rdiv__`, `__rdivmod__`, `__repr__`, `__rfloordiv__`, `__rlshift__`, `__rmod__`, `__rmul__`, `__ror__`, `__rpow__`, `__rrshift__`, `__rshift__`, `__rsub__`, `__rtruediv__`, `__rxor__`, `__sizeof__`, `__str__`, `__sub__`, `__truediv__`, `__trunc__`, `__xor__`, `bit_length`, `conjugate` Inherited from `object`: `__delattr__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__subclasshook__`

Class Variables
| cimtype = ``'``sint16``'``

Properties
Inherited from `long`: `denominator`, `imag`, `numerator`, `real` Inherited from `object`: `__class__`